Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.svggen
Interface ErrorConstants

All Known Implementing Classes:
  AbstractImageHandlerEncoder, AbstractSVGConverter, AbstractSVGFilterConverter, CachedImageHandlerBase64Encoder, CachedImageHandlerJPEGEncoder, CachedImageHandlerPNGEncoder, DefaultCachedImageHandler, DefaultImageHandler, DOMGroupManager, DOMTreeManager, ImageCacher, ImageCacher.Embedded, ImageCacher.External, ImageHandlerBase64Encoder, ImageHandlerJPEGEncoder, ImageHandlerPNGEncoder, SimpleImageHandler, SVGAlphaComposite, SVGBasicStroke, SVGBufferedImageOp, SVGClip, SVGColor, SVGConvolveOp, SVGCustomBufferedImageOp, SVGCustomComposite, SVGCustomPaint, SVGFont, SVGGeneratorContext, SVGGraphicContext, SVGGraphics2D, SVGLinearGradient, SVGLookupOp, SVGRenderingHints, SVGRescaleOp, SVGTexturePaint, SVGTransform

    public interface ErrorConstants

Field Summary
`static String` | `ERR_ACI`
`static String` | `ERR_CANNOT_USE_IMAGE_DIR`
`static String` | `ERR_CANVAS_SIZE_NULL`
`static String` | `ERR_CLIP_NULL`
`static String` | `ERR_CONTEXT_NULL`
`static String` | `ERR_DOM_FACTORY_NULL`
`static String` | `ERR_DOMTREEMANAGER_NULL`
`static String` | `ERR_ERROR_HANDLER_NULL`
`static String` | `ERR_EXTENSION_HANDLER_NULL`
`static String` | `ERR_FONT_NULL`
`static String` | `ERR_GC_NULL`
`static String` | `ERR_HINT_NULL`
`static String` | `ERR_ID_GENERATOR_NULL`
`static String` | `ERR_ILLEGAL_BUFFERED_IMAGE_LOOKUP_OP`
`static String` | `ERR_ILLEGAL_BUFFERED_IMAGE_RESCALE_OP`
`static String` | `ERR_IMAGE_DIR_DOES_NOT_EXIST`
`static String` | `ERR_IMAGE_DIR_NULL`
`static String` | `ERR_IMAGE_HANDLER_NOT_SUPPORTED`
`static String` | `ERR_IMAGE_HANDLER_NULL`
`static String` | `ERR_IMAGE_NULL`
`static String` | `ERR_MAP_NULL`
`static String` | `ERR_MAXGCOVERRIDES_OUTOFRANGE`
`static String` | `ERR_PROXY`
`static String` | `ERR_READ`
`static String` | `ERR_SCALE_FACTORS_AND_OFFSETS_MISMATCH`
`static String` | `ERR_STROKE_NULL`
`static String` | `ERR_STYLE_HANDLER_NULL`
`static String` | `ERR_TOP_LEVEL_GROUP_NOT_G`
`static String` | `ERR_TOP_LEVEL_GROUP_NULL`
`static String` | `ERR_TRANS_NULL`
`static String` | `ERR_UNEXPECTED`
`static String` | `ERR_WRITE`
`static String` | `ERR_XOR`
`static String` | `INVALID_NODE`

Field Detail

### ERR_UNEXPECTED

    static final String ERR_UNEXPECTED

See Also:
  Constant Field Values

### ERR_CONTEXT_NULL

    static final String ERR_CONTEXT_NULL

See Also:
  Constant Field Values

### ERR_IMAGE_DIR_NULL

    static final String ERR_IMAGE_DIR_NULL

See Also:
  Constant Field Values

### ERR_IMAGE_DIR_DOES_NOT_EXIST

    static final String ERR_IMAGE_DIR_DOES_NOT_EXIST

See Also:
  Constant Field Values

### ERR_CANNOT_USE_IMAGE_DIR

    static final String ERR_CANNOT_USE_IMAGE_DIR

See Also:
  Constant Field Values

### ERR_IMAGE_NULL

    static final String ERR_IMAGE_NULL

See Also:
  Constant Field Values

### ERR_WRITE

    static final String ERR_WRITE

See Also:
  Constant Field Values

### ERR_READ

    static final String ERR_READ

See Also:
  Constant Field Values

### ERR_IMAGE_HANDLER_NOT_SUPPORTED

    static final String ERR_IMAGE_HANDLER_NOT_SUPPORTED

See Also:
  Constant Field Values

### ERR_CANVAS_SIZE_NULL

    static final String ERR_CANVAS_SIZE_NULL

See Also:
  Constant Field Values

### ERR_XOR

    static final String ERR_XOR

See Also:
  Constant Field Values

### ERR_ACI

    static final String ERR_ACI

See Also:
  Constant Field Values

### ERR_PROXY

    static final String ERR_PROXY

See Also:
  Constant Field Values

### INVALID_NODE

    static final String INVALID_NODE

See Also:
  Constant Field Values

### ERR_GC_NULL

    static final String ERR_GC_NULL

See Also:
  Constant Field Values

### ERR_DOMTREEMANAGER_NULL

    static final String ERR_DOMTREEMANAGER_NULL

See Also:
  Constant Field Values

### ERR_MAXGCOVERRIDES_OUTOFRANGE

    static final String ERR_MAXGCOVERRIDES_OUTOFRANGE

See Also:
  Constant Field Values

### ERR_TOP_LEVEL_GROUP_NULL

    static final String ERR_TOP_LEVEL_GROUP_NULL

See Also:
  Constant Field Values

### ERR_TOP_LEVEL_GROUP_NOT_G

    static final String ERR_TOP_LEVEL_GROUP_NOT_G

See Also:
  Constant Field Values

### ERR_CLIP_NULL

    static final String ERR_CLIP_NULL

See Also:
  Constant Field Values

### ERR_FONT_NULL

    static final String ERR_FONT_NULL

See Also:
  Constant Field Values

### ERR_HINT_NULL

    static final String ERR_HINT_NULL

See Also:
  Constant Field Values

### ERR_STROKE_NULL

    static final String ERR_STROKE_NULL

See Also:
  Constant Field Values

### ERR_MAP_NULL

    static final String ERR_MAP_NULL

See Also:
  Constant Field Values

### ERR_TRANS_NULL

    static final String ERR_TRANS_NULL

See Also:
  Constant Field Values

### ERR_ILLEGAL_BUFFERED_IMAGE_LOOKUP_OP

    static final String ERR_ILLEGAL_BUFFERED_IMAGE_LOOKUP_OP

See Also:
  Constant Field Values

### ERR_SCALE_FACTORS_AND_OFFSETS_MISMATCH

    static final String ERR_SCALE_FACTORS_AND_OFFSETS_MISMATCH

See Also:
  Constant Field Values

### ERR_ILLEGAL_BUFFERED_IMAGE_RESCALE_OP

    static final String ERR_ILLEGAL_BUFFERED_IMAGE_RESCALE_OP

See Also:
  Constant Field Values

### ERR_DOM_FACTORY_NULL

    static final String ERR_DOM_FACTORY_NULL

See Also:
  Constant Field Values

### ERR_IMAGE_HANDLER_NULL

    static final String ERR_IMAGE_HANDLER_NULL

See Also:
  Constant Field Values

### ERR_EXTENSION_HANDLER_NULL

    static final String ERR_EXTENSION_HANDLER_NULL

See Also:
  Constant Field Values

### ERR_ID_GENERATOR_NULL

    static final String ERR_ID_GENERATOR_NULL

See Also:
  Constant Field Values

### ERR_STYLE_HANDLER_NULL

    static final String ERR_STYLE_HANDLER_NULL

See Also:
  Constant Field Values

### ERR_ERROR_HANDLER_NULL

    static final String ERR_ERROR_HANDLER_NULL

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.